using Demo.Data.Repository;
using Demo.Domain.UseCase;
using Demo.UI;

GroupRepositoryImpl _groupRepositoryImpl = new GroupRepositoryImpl();
UserRepositoryImpl _userRepositoryImpl = new UserRepositoryImpl();
UserUseCase _userUseCase = new UserUseCase(_groupRepositoryImpl, _userRepositoryImpl);
GroupUseCase _groupUseCase = new GroupUseCase(_groupRepositoryImpl, _userRepositoryImpl);

MainMenuUI mainMenuUI = new MainMenuUI(_userUseCase, _groupUseCase);